org.eclipse.actf.model.dom.html.dochandler

## Class PREHandler

- java.lang.Object
- - org.eclipse.actf.model.dom.html.dochandler.DefaultDocumentHandler
  - - org.eclipse.actf.model.dom.html.dochandler.PREHandler

All Implemented Interfaces:
  DocumentHandler

    public class PREHandler
    extends DefaultDocumentHandler

### Constructor Summary

Constructors
Constructor and Description
`PREHandler(org.eclipse.actf.model.internal.dom.html.parser.HTMLParser parser)`

### Method Summary

Methods
`void` `endElement(String name)` Just forwards this method invokation with `locator` to the next handler.
`void` `startElement(String name, AttributeList atts)` Just forwards this method invokation with `locator` to the next handler.

### Methods inherited from class org.eclipse.actf.model.dom.html.dochandler.DefaultDocumentHandler

`characters, endDocument, ignorableWhitespace, processingInstruction, setDocumentLocator, startDocument`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PREHandler

    public PREHandler(org.eclipse.actf.model.internal.dom.html.parser.HTMLParser parser)

### Method Detail

#### startElement

    public void startElement(String name,
                    AttributeList atts)
                      throws SAXException

Description copied from class: `DefaultDocumentHandler`
Just forwards this method invokation with `locator` to the next handler.

Specified by:
  `startElement` in interface `DocumentHandler`
Overrides:
  `startElement` in class `DefaultDocumentHandler`
Throws:
  `SAXException`

#### endElement

    public void endElement(String name)
                    throws SAXException

Description copied from class: `DefaultDocumentHandler`
Just forwards this method invokation with `locator` to the next handler.

Specified by:
  `endElement` in interface `DocumentHandler`
Overrides:
  `endElement` in class `DefaultDocumentHandler`
Throws:
  `SAXException`